<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Finchildren</title>
  <!--
    Remove this if you only support browsers that support async/await.
    This is needed by babel to share largeish helper code for compiling async/await in older
    browsers. More information at https://github.com/single-spa/create-single-spa/issues/112
  -->
  <script src="https://cdn.jsdelivr.net/npm/regenerator-runtime@0.13.7/runtime.min.js"></script>
  <!--
    This CSP allows any SSL-enabled host and for arbitrary eval(), but you should limit these directives further to increase your app's security.
    Learn more about CSP policies at https://content-security-policy.com/#directive
  -->
  <% if (isLocal) { %>
    <meta http-equiv="Content-Security-Policy" content="default-src 'self' https: localhost:*; script-src 'unsafe-inline' 'unsafe-eval' https: localhost:*; connect-src https: localhost:* ws://localhost:*; style-src 'unsafe-inline' https:; object-src 'none';">
  <% } else { %>
    <meta http-equiv="Content-Security-Policy" content="default-src 'self' https: *.finchildren.com; script-src 'unsafe-inline' 'unsafe-eval' https: *.finchildren.com; connect-src https: *.finchildren.com ws://*.finchildren.com; style-src 'unsafe-inline' https:; object-src 'none';">
  <% } %>
  <meta name="importmap-type" content="systemjs-importmap" />
  <meta name="import-map-overrides-domains" content="allowlist:*.finchildren.com,finchildren-*.com" />
  <!-- If you wish to turn off import-map-overrides for specific environments (prod), uncomment the line below -->
  <!-- More info at https://github.com/joeldenning/import-map-overrides/blob/master/docs/configuration.md#domain-list -->
  <!-- <meta name="import-map-overrides-domains" content="denylist:prod.example.com" /> -->

  <!-- Shared dependencies go into this import map. Your shared dependencies must be of one of the following formats:

    1. System.register (preferred when possible) - https://github.com/systemjs/systemjs/blob/master/docs/system-register.md
    2. UMD - https://github.com/umdjs/umd
    3. Global variable

    More information about shared dependencies can be found at https://single-spa.js.org/docs/recommended-setup#sharing-with-import-maps.
  -->
  <script type="systemjs-importmap">
    {
      "imports": {
        "single-spa": "https://cdn.jsdelivr.net/npm/single-spa@5.9.0/lib/system/single-spa.min.js"
      }
    }
  </script>
  <link rel="preload" href="https://cdn.jsdelivr.net/npm/single-spa@5.9.0/lib/system/single-spa.min.js" as="script">

  <!-- Add your organization's prod import map URL to this script's src  -->
  <!-- <script type="systemjs-importmap" src="/import-map.json"></script> -->


  <% if (isLocal) { %>
    <script type="systemjs-importmap">
      {
        "imports": {
          "@finchildren/root-config": "//localhost:8080/finchildren-root-config.js",
          "@finchildren/nav-bar": "//localhost:4201/main.js",
          "@finchildren/home-finchildren-web": "//localhost:4202/main.js",
          "@finchildren/financas-finchildren-web": "//localhost:4203/main.js"
        }
      }
    </script>
  <% } else { %>
    <script type="systemjs-importmap">
      {
        "imports": {
          "@finchildren/root-config": "//core-finchildren-web.s3.us-east-1.amazonaws.com/finchildren-root-config.js",
          "@finchildren/nav-bar": "//core-finchildren-web.s3.us-east-1.amazonaws.com/navbar-app/main.js",
          "@finchildren/home-finchildren-web": "//home-finchildren-web.rancher.finchildren.com/main.js"
        }
      }
    </script>
  <% } %>

  <!--
    If you need to support Angular applications, uncomment the script tag below to ensure only one instance of ZoneJS is loaded
    Learn more about why at https://single-spa.js.org/docs/ecosystem-angular/#zonejs
  -->
  <script src="https://cdn.jsdelivr.net/npm/zone.js@0.11.3/dist/zone.min.js"></script>

  <script src="https://cdn.jsdelivr.net/npm/import-map-overrides@2.2.0/dist/import-map-overrides.js"></script>
  <% if (isLocal) { %>
  <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/system.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/extras/amd.js"></script>
  <% } else { %>
  <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/system.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/extras/amd.min.js"></script>
  <% } %>

  <style>
    body {
      font-family: sans-serif, Roboto;
    }

    header {
      position: absolute;
      top: 0;
      width: 100%;
    }
    .main-open {
      right: 0;
      width: 80%;
    }
    main {
      position: absolute;
      top: 90px;
      z-index: 1;
      width: 100%;
    }
  </style>
</head>

<body>
  <template id="single-spa-layout">
    <single-spa-router>
      <header>
        <application name="@finchildren/nav-bar"></application>
      </header>
      <main class="main-open">
        <div class="container-fluid">
          <div class="row">
            <div class="col-12">
              <route path="/home">
                <application name="@finchildren/home-finchildren-web"></application>
              </route>
            </div>
            <div class="col-12">
              <route path="/financas">
                <application name="@finchildren/financas-finchildren-web"></application>
              </route> 
            </div>
          </div>
        </div>                  
      </main>
      <footer></footer>
    </single-spa-router>
  </template>
  <script>
    System.import('@finchildren/root-config');
  </script>
  <import-map-overrides-full show-when-local-storage="devtools"></import-map-overrides-full>
</body>

</html>